Subject: [Fwd: Updated MPLS charter]

From: Jean Philippe Vasseur <[email-masked]>
Date: Wed, 08 Oct 2003 19:48:14 -0400

Hi,

Please find below one comment on the charter:

>Date: Thu, 02 Oct 2003 10:02:39 +0200
>From: Loa Andersson <[email-masked]>
>User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) 
>Gecko/20030624 Netscape/7.1 (ax)
>X-Accept-Language: en-us, en
>To: mpls wg <[email-masked]>
>CC: George Swallow <[email-masked]>, Alex Zinin <[email-masked]>
>Subject: [Fwd: Updated MPLS charter]
>Sender: [email-masked]
>
>
>All,
>
>an updated version of the MPLS working group charter has
>been sent to the IESG review. Comments on the charter should
>be sent to the working group mailing list.
>
>/Loa
>
>
>  Multiprotocol Label Switching (mpls)
>  -------------------------------------
>
>  Current Status: Active Working Group
>
>  Chair(s):
>    George Swallow <[email-masked]>
>    Loa Andersson <[email-masked]>
>
>  Routing Area Director(s):
>    Bill Fenner <[email-masked]>
>    Alex Zinin <[email-masked]>
>
>  Routing Area Advisor:
>    Alex Zinin <[email-masked]>
>
>  Mailing Lists:
>  General Discussion: [email-masked]
>  To Subscribe: [email-masked]
>  In Body: subscribe (unsubscribe)
>  Archive: http://cell.onecall.net/cell-relay/archives/mpls/mpls.index.html
>
>  Description of Working Group:
>
>  The MPLS working group is responsible for standardizing a base
>  technology for using label switching and for the implementation of
>  label-switched paths over various packet based link-level
>  technologies, such as Packet-over-Sonet, Frame Relay, ATM, and
>  LAN technologies (e.g. all forms of Ethernet, Token Ring, etc.).
>  This includes procedures and protocols for the distribution of
>  labels between routers and encapsulation.
>
>  The working group is also responsible for specifying the necessary
>  MIBs for the  functionality specified in the base MPLS technology.
>
>  The first generation of the MPLS standards are largely complete,
>  and the current WG work items are:
>
>  - procedures and protocols for multicast protocol extensions for
>    point-to-multipoint TE, including soft-preemption

The last sentence might be slightly confusing, the word "including" gives 
the impression that soft preemption is part of the charter only in the 
context of point-to-multipoint although it applies to any sort of TE LSP.

Thanks.

JP.

>  - Define requirements and mechanisms for MPLS OAM
>
>  - Define an overall OAM framework for MPLS applications
>
>  - MPLS-specific aspects of traffic engineering for multi-areas/multi-AS
>    in cooperation with the CCAMP WG
>
>  The Working Group chairs tracking of the working group documents can be
>  viewed at http://urax.utfors.net/~loa/MPLS_WG_Drafts.htm
>
>  Goals and Milestones:
>
>  Done    Submit documents from original MPLS effort to IESG
>
>  Done    Framework for IP multicast over label-switched paths ready
>          for advancement.
>
>  Done    LDP fault tolerance specification ready for advancement to
>          Proposed Standard.
>
>  Done    Specification for MPLS-specific recovery ready for advancement.
>
>  Done    Submit Multiprotocol Label Switching (MPLS) Forward
>          Equivalency Class-To-Next Hop Label Forwarding Entry
>          Management Information Base to the IESG for publication as
>          Proposed Standards
>
>  Done    Submit Definitions of Managed Objects for MultoiProtocol
>          Label Switching, Label Distribution Protocol (LDP) to the
>          IESG for publication as Proposed Standards
>
>  Done    Submit Multiprotocol Label Switching (MPLS) Label Switching
>          Router (LSR), Management Information Base to the IESG for
>          publication as Proposed Standards
>
>  Done    Submit Multiprotocol Label Switching (MPLS) Management Overview
>          to the IESG for publication as Proposed Standards
>
>  Done    Submit Definitions of Textual Conventions for Multiprotocol
>          Label Switching (MPLS) Management to the IESG for publication
>          as Proposed Standards
>
>  Done    Submit Multiprotocol Label Switching (MPLS) Traffic
>          Engineering Management Information Base to the IESG for
>          publication as Proposed Standards
>
>  Oct 03  Advance the Label Distribution Protocol to Draft Standard.
>
>  Oct 03  Submit the Traffic Engineering Link MIB to the IESG for
>          as a Proposed Standard
>
>  Oct 03  Submit a specification on Encapsulations to carry MPLS over
>          IP and GRE to the IESG for as a Proposed Standard
>
>  Nov 03  Together with CCAMP complete and establish the (G)MPLS change
>          process
>
>  Apr 04  Advance MPLS Architecture and MPLS encapsulation to Draft
>          Standard
>
>  Apr 04  Submit a specification on Soft Pre-emption of LSP Tunnels to
>          the IESG for publication as a Proposed Standard
>
>  Nov 03  Submit specification on LSP Ping to the IESG for publication
>          as a Proposed Standard
>
>  Apr 04  Submit specification on LSR Self Test to the IESG for
>          publication as a Proposed Standard
>
>  Aug 04  Submit an OAM Framework Document to the IESG for publication
>          as an Informational RFC
>
>  Oct 04  Advance "Extension to RSVP for LSP Tunnels" to Draft
>          Standard
>
>  Nov 04  Submit a document defining the scope, requirements, and issues
>          to resolve for setup of P2MP TE LSPs (MPLS and GMPLS)
>
>  Mar 04  Submit document(s) specifying protocol extensions, enhancements
>          and mechanisms for setup of P2MP TE LSPs
>
>
>-----------------------------------
>
>FYI, removed or replaced milestones:
>
>  REMOVE  Shepherd completed MPLS specifications through IESG review and 
> RFC editor processing
>  REMOVE  MPLS-TE MIB ready for advancement to Proposed Standard
>  REMOVE  Base MPLS Proposed Standard RFCs ready for advancement to Draft 
> Standard.
>  REMOVE  LDP end-to-end LSP authentication ready for advancement to 
> Proposed Standard.
>
>
>
>
>
>--
>Loa Andersson
>
>Mobile          +46 739 81 21 64
>Email           [email-masked]
>
>